package com.docus.server.collection.service;

import com.docus.server.collection.dto.DeptDto;
import com.docus.server.collection.dto.SzyDeptDto;

/**
 * 用户服务
 */
public interface IPowerDeptService {
    /**
     * 科室注册
     *
     * @param deptDto 用户注册参数
     * @return 处理结果
     */
    boolean register(DeptDto deptDto);

    /**
     * 根据科室编号删除科室
     *
     * @param deptCode 科室编码
     * @return 删除结果
     */
    boolean delDeptByDeptCode(String deptCode);

    /**
     * 科室注册
     *
     * @param deptDto 用户注册参数
     * @return 处理结果
     */
    void add(SzyDeptDto deptDto);
}
